cURL
curl --request GET \
--url https://aodocs.altirnao.com/api/workflow/v2beta1/workflows/{workflowId}/states/{stateId}/transitions \
--header 'Authorization: Bearer <token>'import requests
url = "https://aodocs.altirnao.com/api/workflow/v2beta1/workflows/{workflowId}/states/{stateId}/transitions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://aodocs.altirnao.com/api/workflow/v2beta1/workflows/{workflowId}/states/{stateId}/transitions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"createNewDocumentVersion": true,
"createdTime": "2023-11-07T05:31:56Z",
"discardCheckedOutDocument": true,
"elapsedTime": {
"amount": 123
},
"fixedTime": "2023-11-07T05:31:56Z",
"humanAction": {
"actionId": "<string>",
"appliedName": "<string>",
"appliedName_i18n": "<string>",
"commentPlaceholderText": "<string>",
"commentPlaceholderText_i18n": "<string>",
"mandatoryComment": true,
"name": "<string>",
"name_i18n": "<string>",
"performer": {
"classId": "<string>",
"className": "<string>",
"description": "<string>",
"displayName": "<string>",
"displayName_i18n": "<string>",
"thumbnailPictureUrl": "<string>",
"value": "<string>"
},
"reminders": [
{
"condition": {
"params": {},
"scriptId": "<string>",
"scriptName": "<string>"
},
"emailTemplateId": "<string>",
"id": "<string>",
"name": "<string>"
}
],
"validateByAll": true
},
"id": "<string>",
"kind": "<string>",
"lastModifiedTime": "2023-11-07T05:31:56Z",
"propertyData": {
"personValue": {
"classId": "<string>",
"className": "<string>",
"description": "<string>",
"displayName": "<string>",
"displayName_i18n": "<string>",
"thumbnailPictureUrl": "<string>",
"value": "<string>"
},
"propertyId": "<string>",
"value": "<string>"
},
"propertyTime": "<string>",
"relativeTime": {
"after": true,
"amount": 123,
"propertyId": "<string>"
},
"targetStateId": "<string>",
"targetStateName": "<string>",
"targetStateName_i18n": "<string>"
}
]
}workflow
Get workflowv2beta1workflows states transitions
Lists the workflow transitions of a workflow state by workflow and state ID.
GET
/
workflow
/
v2beta1
/
workflows
/
{workflowId}
/
states
/
{stateId}
/
transitions
cURL
Authorizations
google_id_token-a99f12e0google_id_token_legacy-a99f12e0
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The ID of the workflow
The ID of the workflow state
Query Parameters
Whether to list only the manual transitions of the workflow state
The G Suite domain
The security code
Response
200 - application/json
A ApiWorkflowTransitionCollection response
An ordered list of ApiWorkflowTransition
Show child attributes
Show child attributes
⌘I